
Foreman - Refactor #14509

Refactor ENC output to be a generic exporter

04/06/2016 11:14 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: External Nodes   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3399

  

Description

Remote execution is adding a generic exporter ability, to recursively export ActiveRecord objects in a particular format.  It would be

good to get this kind of feature in core, by refactoring the ENC output to be more generic.

Related issues:

Related to Foreman Remote Execution - Feature #13922: Allow export of job tem... Closed 02/26/2016

Associated revisions

Revision d1e29487 - 05/25/2016 07:32 AM - Stephen Benjamin

fixes #14509 - refactor enc_output to be a generic exporter

History

#1 - 04/06/2016 11:14 AM - Stephen Benjamin

- Related to Feature #13922: Allow export of job templates to faciltitate easier sharing added

#2 - 04/06/2016 12:41 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Stephen Benjamin

- Pull request https://github.com/theforeman/foreman/pull/3399 added

#3 - 05/25/2016 07:34 AM - Marek Hulán

- Category set to External Nodes

- translation missing: en.field_release set to 136

#4 - 05/25/2016 08:02 AM - Stephen Benjamin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d1e294871eb5bc181c44a8546cbb7be64a4d800b.
